import { Device } from './Device';
declare class Teams {
    ringTime: number;
    maxCallTime: number;
    record: boolean;
    present: string;
    countryCode: string;
    onComplete: string;
    onFail: string;
    onNoAnswer: string;
    onBusy: string;
    to: string;
    constructor(values: Teams);
    onCompleteDevice(deviceList: Device[]): Device;
    onFailDevice(deviceList: Device[]): Device;
    onNoAnswerDevice(deviceList: Device[]): Device;
    onBusyDevice(deviceList: Device[]): Device;
}
export { Teams };
